Subject: Re: [ietf-dkim] [Technical Errata Reported] RFC6376 (4810)

From: Stephen Farrell <[email-masked]>
Date: Mon, 26 Sep 2016 22:55:18 +0100

If someone familiar with the dkim abnf could comment I'd be
happy to approve/reject this as appropriate.

S

On 26/09/16 20:15, RFC Errata System wrote:
> The following errata report has been submitted for RFC6376,
> "DomainKeys Identified Mail (DKIM) Signatures".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=6376&eid=4810
> 
> --------------------------------------
> Type: Technical
> Reported by: Juan Altmayer Pizzorno <[email-masked]>
> 
> Section: 3.5
> 
> Original Text
> -------------
> x-sig-q-tag-args = qp-hdr-value
> 
> Corrected Text
> --------------
> x-sig-q-tag-args = dkim-quoted-printable  ; with ":" encoded
> 
> Notes
> -----
> sig-q-tag-methods are ":"-separated in sig-q-tag, so ":" shouldn't be permitted
> within x-sig-q-tag-args.  Note that qp-hdr-value (which I believe was originally
> defined for sig-z-tag, which includes "|"-separated values) is defined as
> 
>    qp-hdr-value    =  dkim-quoted-printable    ; with "|" encoded
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary. 
> 
> --------------------------------------
> RFC6376 (draft-ietf-dkim-rfc4871bis-15)
> --------------------------------------
> Title               : DomainKeys Identified Mail (DKIM) Signatures
> Publication Date    : September 2011
> Author(s)           : D. Crocker, Ed., T. Hansen, Ed., M. Kucherawy, Ed.
> Category            : DRAFT STANDARD
> Source              : Domain Keys Identified Mail
> Area                : Security
> Stream              : IETF
> Verifying Party     : IESG
> 
> 

_______________________________________________
NOTE WELL: This list operates according to
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 26 Sep 2016 15:23:25 -0700

That looks correct to me.  Barry or Dave?

---

From: Dave Crocker <[email-masked]>
Date: Mon, 26 Sep 2016 15:23:48 -0700

> Original Text

Section 2.10 shows:

so the suggested change doesn't seem to accomplish the stated goal, 
since the two rules are equivalent.

Nor does dkim-safe-char get us there.

I think the rule should exclude WSP, ":", "/" and "=", and I'm not 
seeing an existing one that gets us there.  Am I missing it?

But basically, yeah, this looks to me like something needing to be fixed.

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
NOTE WELL: This list operates according to
http://mipassoc.org/dkim/ietf-list-rules.html